# Created by pyp2rpm-1.0.1
%global pypi_name cov-core

Name:           python-%{pypi_name}
Version:        1.15.0
Release:        %mkrel 8
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
Group:          Development/Python
License:        MIT
URL:            https://bitbucket.org/memedough/cov-core/overview
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.

%package -n     python3-%{pypi_name}
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a lib package for use by pytest-cov, nose-cov and nose2-cov. If
you're developing a coverage plugin for a test framework then you probably
want one of those.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README*
%{python3_sitelib}/cov_core*
%{python3_sitelib}/__pycache__/*


%changelog
* Sun Mar 02 2025 wally <wally> 1.15.0-8.mga10
+ Revision: 2156879
- rebuild for python3.13

* Mon Jan 29 2024 papoteur <papoteur> 1.15.0-7.mga10
+ Revision: 2035798
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 1.15.0-6.mga9
+ Revision: 1822246
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.15.0-5.mga9
+ Revision: 1772230
- rebuild for python3.10

* Mon Mar 15 2021 wally <wally> 1.15.0-4.mga9
+ Revision: 1703547
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.15.0-3.mga8
+ Revision: 1530944
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 1.15.0-2.mga8
+ Revision: 1437944
- rebuild for python3.8
- drop python2 support

* Sun Jan 13 2019 wally <wally> 1.15.0-1.mga7
+ Revision: 1356004
- new version 1.15.0

* Sat Jan 05 2019 wally <wally> 1.7-4.mga7
+ Revision: 1349760
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.7-3.mga7
+ Revision: 1288551
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 1.7-2.mga7
+ Revision: 1227709
- rename python-cov-core to python2-cov-core
- use new python macros and provides

* Tue Sep 09 2014 juancho <juancho> 1.7-1.mga7
+ Revision: 674029
- imported package python-cov-core


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Sep 16 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-2
- Add BR: python-setuptools.

* Thu Sep 05 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 1.7-1
- Initial package.
